<?php

namespace App\Mappers;

use App\ViewModels\Loja\LojaRegistrationViewModel\LojaRegistrationViewModel;
use App\Services\JWT\UsuarioLogado;
use App\Utils\DateUtils;
use App\ViewModels\Loja\LojaChangeStatusViewModel\LojaChangeStatusViewModel;

class LojaMapper {

	public static function getLojaRegistrationViewModelFromArray(array $dados): LojaRegistrationViewModel {

		$usr = UsuarioLogado::getUsuarioId();
		$data_c = DateUtils::today();
		$hora_c = DateUtils::now_time();

		$lojaResistration = LojaRegistrationViewModel::builder()->setIdUnidade( $dados ['id_unidade'] )
			->setIdStatus( $dados ['id_status_loja'] )
			->setCriadoPor($usr)
			->setDataCriacao($data_c)
			->setHoraCriacao($hora_c)
			->setDataAlteracao('1900-01-01')
			->setHoraAlteracao('00:00:00')
			->build();
		
		return $lojaResistration;

	}
	
	public static function getLojaChangeStatusViewModelFromArray(array $dados): LojaChangeStatusViewModel {
		
		$usr = UsuarioLogado::getUsuarioId();
		$data_c = DateUtils::today();
		$hora_c = DateUtils::now_time();
		
		$lojaResistration = LojaChangeStatusViewModel::builder()->setId( $dados ['id'] )->setIdUnidade( $dados ['id_unidade'] )
		->setIdStatus( $dados ['id_status_loja'] )
		->setAlteradoPor($usr)		
		->setDataAlteracao($data_c)
		->setHoraAlteracao($hora_c)
		->build();
		
		return $lojaResistration;
		
	}

}

